Bug 476597 - digikam 32bit package lingers with broken dep after x64 f9 to f10 upgrade
digikam 32bit package lingers with broken dep after x64 f9 to f10 upgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: digikam (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Marcin Garski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 19:51 EST by Dale Bewley
Modified: 2009-01-10 09:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-10 09:54:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dale Bewley 2008-12-15 19:51:22 EST
Description of problem:
There is apparently a confluence of 32bit, 64bit, and F9 to F10 upgrade that causes 
digikam-0.9.4-2.fc9.i386 to be installed on fc9 x86_64 and remain through an
upgrade to f10 x86_64. 

This package now has a dependancy preventing yum updates.
I'm pretty sure I did not install the i386 package on F9, but it was pulled in
automatically with a yum install.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Install digikam on x86_64 F9
2. Upgrade x86_64 F9 to x86_64 F10
3. Attempt yum update
  
Actual results:

[root@seitan ]# yum update
...
digikam-0.9.4-2.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: libkdcraw.so.3 is needed by package digikam-0.9.4-2.fc9.i386 (installed)
Error: Missing Dependency: libdigikam.so.1()(64bit) is needed by package digikam-0.10.0-0.6.beta5.fc10.x86_64 (installed)
Error: Missing Dependency: libkipi.so.0 is needed by package digikam-0.9.4-2.fc9.i386 (installed)
Error: Missing Dependency: digikam = 0.10.0-0.7.beta6.fc10 is needed by package digikam-libs-0.10.0-0.7.beta6.fc10.x86_64 (updates)
Error: Missing Dependency: libkexiv2.so.3 is needed by package digikam-0.9.4-2.fc9.i386 (installed)
Error: Missing Dependency: libkdcraw.so.3 is needed by package digikam-0.9.4-2.fc9.i386 (installed)

[root@seitan ]# yum search libkexiv2
Loaded plugins: refresh-packagekit
============================== Matched: libkexiv2 ==============================
libkexiv2.i386 : A library to manipulate EXIF/IPTC information
libkexiv2.x86_64 : A library to manipulate EXIF/IPTC information


[root@seitan ]# yum list libkexiv2
Loaded plugins: refresh-packagekit
Installed Packages
libkexiv2.i386                        0.1.7-1.fc9                      installed
libkexiv2.x86_64                      0.1.7-1.fc9                      installed


I simply removed the package to continue.

[root@seitan ]# yum remove digikam
...
Dependencies Resolved

================================================================================
 Package           Arch        Version                     Repository      Size
================================================================================
Removing:
 digikam           i386        0.9.4-2.fc9                 installed       23 M
 digikam           x86_64      0.10.0-0.6.beta5.fc10       installed       20 M
Removing for dependencies:
 digikam-libs      x86_64      0.10.0-0.6.beta5.fc10       installed      3.7 M


Expected results:
I suspect there is a missing obsoletes or a superfluous dep that needs
revisited.

Additional info:
Comment 1 Rex Dieter 2008-12-17 09:21:41 EST
Boy, that's convoluted.  Not sure if there's much or anything that can be done, but I'll try to parse this when I've had more caffeine.
Comment 2 Steven M. Parrish 2009-01-10 09:25:42 EST
Did you get your caffeine fix yet rdieter?
Comment 3 Rex Dieter 2009-01-10 09:54:33 EST
With updates, I *think* this should all be resolved (Obsoleting libkexiv2 was something addressed in a kdegraphics update I believe).

Note You need to log in before you can comment on or make changes to this bug.